//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tSCSM complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tSCSM"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.iec.ch/61850/2003/SCL}tServiceYesNo"&gt;
 *       &lt;attribute name="iec61850_8_1" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" /&gt;
 *       &lt;attribute name="iec61850_8_2" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="serverAssociationInitiation" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tSCSM")
public class TSCSM
    extends TServiceYesNo
{

    @XmlAttribute(name = "iec61850_8_1")
    protected Boolean iec6185081;
    @XmlAttribute(name = "iec61850_8_2")
    protected Boolean iec6185082;
    @XmlAttribute(name = "serverAssociationInitiation")
    protected Boolean serverAssociationInitiation;

    /**
     * 获取iec6185081属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isIec6185081() {
        if (iec6185081 == null) {
            return true;
        } else {
            return iec6185081;
        }
    }

    /**
     * 设置iec6185081属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setIec6185081(Boolean value) {
        this.iec6185081 = value;
    }

    /**
     * 获取iec6185082属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isIec6185082() {
        if (iec6185082 == null) {
            return false;
        } else {
            return iec6185082;
        }
    }

    /**
     * 设置iec6185082属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setIec6185082(Boolean value) {
        this.iec6185082 = value;
    }

    /**
     * 获取serverAssociationInitiation属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isServerAssociationInitiation() {
        if (serverAssociationInitiation == null) {
            return false;
        } else {
            return serverAssociationInitiation;
        }
    }

    /**
     * 设置serverAssociationInitiation属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setServerAssociationInitiation(Boolean value) {
        this.serverAssociationInitiation = value;
    }

}
